Overview of Changes from 2.31.1 to 2.32.0
==============================================================================
* Update evince bindings to 2.32 API (Vincent Untz, #626283)


Overview of Changes from 2.27.3 to 2.28.0
==============================================================================
* evince: wrap DocumentLinks bit (Sayamindu Dasgupta, #594334)
* braseroburn examples not shipped in tarballs (#595380)
* The braseroburn module is missing important constants (#595373)


Overview of Changes from 2.27.2 to 2.27.3
==============================================================================
* Extended brasero modules API (Philippe Rouquier)
* Wrap mate_keyring_find_items (Gustavo Carneiro)


Overview of Changes from 2.27.1 to 2.27.2
==============================================================================
* Add licensing information for the evince module;
* Fix evince module compilation bug;
* Add bindings for libbrasero-burn.


Overview of Changes from 2.26.0 to 2.27.1
==============================================================================
* New braseromedia module, by Frederic Peters (#569055)


Overview of Changes from 2.25.91 to 2.26.0
==============================================================================
* evince
  - Bug 572575: evince.JobFind() crashes caller (Tomeu Vizoso)
* evolution
  - Fix evolution modules installation issue
  - Make sure matecomponent is imported before evolution.* modules are used (#561354)
  - Add __version__ to evolution modules (John Stowers)
* matedesktop 
  - Add missing caller-owns-return annotations (#570540)

Overview of Changes from 2.25.90 to 2.25.91
==============================================================================
* Call ev_shutdown() on a python atexit handler (bug #570622)

Overview of Changes from 2.25.1 to 2.25.90
==============================================================================
* New Evince bindings, by Tomeu Vizoso (#568287)
* Fix Bug #568284 (Error building wnck bindings)
* Upgrade to WAF 1.5.3
* mateapplet: Bug #569823 (get_popup_component does not return correct object)

Overview of Changes from 2.24.0 to 2.25.1
==============================================================================
* gtop: missing include (Jasper Lievisse Adriaanse)
* evolution: Bug 561727: evolution still installed even if disabled
* Upgrade to newer WAF

Overview of Changes from 2.23.1 to 2.24.0
==============================================================================
* (nothing changed)

Overview of Changes from 2.23.0 to 2.23.1
==============================================================================
* pygtk-codegen-2.0 -> pygobject-codegen-2.0
* Convert TOTEM_TYPE_PL_PARSER_METADATA values to/from Python

Overview of Changes from 2.22.0 to 2.23.0
==============================================================================
* evolution (John Stowers)
  - Wrap e_source_peek_uid() as	ebook.get_uid() and ecalsource.get_uid() (#519258)
  - Wrap a bunch of additional APIs
* matekeyring
 - get_default_keyring_sync() always returning None (#531254, Marcin Banasiak)
* Ability to compile only selected modules (#534307)
  - Arun Raghavan: autotools version
  - Gustavo Carneiro: WAF version


Overview of Changes from 2.21.3 to 2.22.0
==============================================================================
* (nothing)

Overview of Changes from 2.21.2 to 2.21.3
==============================================================================
* WAF build fixes
* evo calendar bug fixes
* Fix matekeyring.find_network_password_sync erroneously returning None
  (Justin Mazzola Paluska, #516788)

Overview of Changes from 2.21.1 to 2.21.2
==============================================================================
* Wrap evo_cal_component_[gs]et_status (Gustavo, #505305)
* Fix WAF build problems (Gustavo)
* In evolution modules avoid multiply defined symbols (Paul, #506401)
* Bug 505307 – Compilation fails against marco 2.21 (Koop Mast)
* Make sure the evolution modules get a __version__ attribute (Gustavo)

Overview of Changes from 2.20.0 to 2.21.1
==============================================================================
* Add WAF build support (Gustavo)
* Better WNCK 2.20 API coverage (Gian)
* New Evolution libebook and libecal bindings (John Stowers)
* matekeyring error code handling fixes (Gustavo)

Overview of Changes from 2.19.2 to 2.20.0
==============================================================================
* (nothing changed)

Overview of Changes from 2.19.1 to 2.19.2
==============================================================================
* general
 - With recent pygtk, add a __version__ attribute to modules (Gustavo)
* matekeyring
 - Allow some parameters to be None (Sebastian Rittau, Gustavo)

Overview of Changes from 2.18.0 to 2.19.1
==============================================================================
* Update to marco API changes (Joseph Sacco, #428697)
* Wrap WnckSelector (Gustavo)
* Use python-config to get python includes (Sebastien Bacher, #448180)


Overview of Changes from 2.17.93 to 2.18.0
==============================================================================
* matekeyring
 - Fix crash in matekeyring.find_items_sync

Overview of Changes from 2.17.92 to 2.17.93
==============================================================================
* marco
 - Follow marco API changes, again
 - marco bindings now disabled by default;
   --enable-marco configure option added.

Overview of Changes from 2.17.3 to 2.17.92
==============================================================================
* marco
 - Follow marco API changes (Marc-Andre Lureau)
* matekeyring
 - Fix build on darwin (Paul)
* rsvg
 - Fix build on darwin (Paul)
* totem
 - Fix typo in makefile causing a build failure (Gustavo)
* bugbuddy
 - Fix configure bugbuddy detection (Gustavo)

Overview of Changes from 2.17.2 to 2.17.3
==============================================================================
* general
 - Fix bad .pc file (#394172 alike)

Overview of Changes from 2.17.1 to 2.17.2
==============================================================================
* totem.plparser
 - Fix to update to new/old totem.plparser.write API change (Gustavo)
* bugbuddy
 - New bug-buddy integration module (#346106, Fernando Herrara, Gustavo)
* gtksourceview
 - Improve repr() of gtksourceview.SourceLanguage (#351567)
 - make get_mime_types() returns the proper list (#351367, Paolo Borelli)
* matekeyring
 - Fix build with Sun Forte compiler (#368364, Damien Carbery)
 - implementation of matekeyring.find_items_sync (#386366, Lukás Lalinský)
* general
 - Py_ssize_t fixes, for python 2.5 + 64 bits (#338492)


Overview of Changes from 2.16.0 to 2.17.1
==============================================================================
* matekeyring
 - Wrap item_create and item_get_info (Gustavo)
 - Fix sync example, add async example (Gustavo)
* marco
 - Update defs to follow upstream marco API changes (Marc-Andre Lureau)
* wnck
 - Add a new example (Kyle Brooks, Gustavo)
* mediaprofiles
 - Use the mate-python defs dir for mateconf.defs (Marco Pesenti Gritti)
* general
 - make check fixes (Gustavo)


Overview of Changes from 2.15.90 to 2.16.0
==============================================================================
* general
 - Use mate-python defs dir where appropriate  (Marco Pesenti Gritti)


Overview of Changes from 2.15.4 to 2.15.90
==============================================================================
* wnck
 - Wrap wnck_window_get_transient (Marco Pesenti Gritti)
 - Add wrapper for wnck_window_set_geometry (Magnus Therning)


Overview of Changes from 2.15.3 to 2.15.4
==============================================================================
* general
  - Mac OS X build fixes (Randall Wood)


Overview of Changes from 2.15.2 to 2.15.3
==============================================================================
* matekeyring
 - Improve API (throw exceptions instead of returning error codes) (Gustavo)
 - Add an example (Gustavo)
* marco
 - Update to new C API (Frederic Peters)
 - Wrap wnck_window_get_geometry() (Magnus Therning)
* cajaburn
 - Update to new improved C API (Python API is not preserved) (Gustavo)


Overview of Changes from 2.15.1 to 2.15.2
==============================================================================
- New matedesktop module, formerly in deskbar-applet (Raphael Slinckx)


Overview of Changes from 2.14.0 to 2.15.1
==============================================================================
- New module rsvg wrapping librsvg  (Robert Staudinger, Sebastian Rittau)
- New matekeyring module; for now only _sync APIs wrapped, though  (Gustavo)


Overview of Changes from 2.13.3 to 2.14.0
==============================================================================
- LIBMATEPRINTUI shouldn't build without mate-python (#330861)


Overview of Changes from 2.13.2 to 2.13.3
==============================================================================
* Nothing new, just create this new package from mate-python-extras.


Overview of Changes from 2.13.1 to 2.13.2
==============================================================================
* mateapplet
 - Wrap mate_panel_applet_set_background_widget (Gustavo Carneiro)
* gda
 - Revert back to wrapping pygda 1.2 due to API instability of 2.0 (Murrray Cumming)
* marco
 - Add new marco bindings (Johan Dahlin)
* egg.recent
 - Update eggrecent code from CVS (Gustavo)


Overview of Changes from 2.13.0 to 2.13.1
==============================================================================
* wnck
 - Register missing wnck constants (Gustavo)


Overview of Changes from 2.12.1 to 2.13.0
==============================================================================
* gda
 - Require libgda 2.0 instead of 1.2 (Murray Cumming)
* matepanel
 - Wrap mate_panel_applet_get_background (Gustavo Carneiro)
* egg.recent
 - Wrap egg_recent_model_get_list (Gustavo)
* wnck
 - Wrap wnck_tasklist_get_size_hint_list (Gustavo)
 - Double-free fixes (Alex Graveley)


Overview of Changes from 2.12.0 to 2.12.1
==============================================================================
* cajaburn
 - Unblock threads around recording function (Tiago Cogumbreiro)
 - Some docstrings and parameter default values fixed (Tiago)
* gda
 - Make it compile with python 2.3, with disabled data/time types (Gustavo)
* wnck
 - wnck_window_needs_attention renamed to wnck_window_needs_attention
(Dave Malcolm)
* mateapplet
 - Wrap mate_panel_applet_get_background (Gustavo)
* egg.recent
 - Wrap egg_recent_model_get_list (Gustavo)


Overview of Changes from mate-python-extras 2.11.4 to mate-python-extras 2.12.0
=================================================================================
* mediaprofiles
 - Change names of a few functions (Raphael Slinckx)
 - Install mediaprofiles.defs (Gustavo)
 - Fix the include header, remove mate-media prefix (Raphael)
* gtkmozembed
 - Install gtkmozembed.defs (Gustavo)
 - A couple of functions renamed, removing silly gtk_moz_embed_ prefix (Gustavo)
* gtksourceview
 - Install gtksourceview.defs (Gustavo)
 - A couple of functions renamed (Gustavo)
 - SourceView and SourceBuffer constructors updated to allow sublcassing (Gustavo)


Overview of Changes from mate-python-extras 2.11.3 to mate-python-extras 2.11.4
=================================================================================
* general
 - Fix --with-mozpackage configure option (Gustavo)
* New modules
 - New mediaprofiles module: python bindings for the mate-media's
   mate-media-profiles package (Raphael Slinckx)


Overview of Changes from mate-python-extras 2.11.2 to mate-python-extras 2.11.3
=================================================================================
* New modules
 - gksu and gksu.ui (Gian Mario Tagliaretti)
* egg.recent
 - Don't require librsvg-2, since it's not really needed (Gustavo)
 - Resync sources with mate cvs (Gustavo)
 - Add wrappers for new EggRecentViewUIManager (Gustavo)
* egg.trayicon
 - Resync sources with mate cvs; fixes "1 pixel wide" bug (#172479) (Gustavo)
* general
 - Fix dependency checks in configure.in; Now, the modules egg.trayicon,
   gtkmozembed, and gtkspell should build on systems without mate-python
   or any mate libraries installed.
 - Documentation cross-module references now correctly handled (Gustavo)
* gtkspell
 - Accept lang=None meaning NULL (Gustavo)
 - Clarify lang parameter usage in docs (Gian)
* gtksourceview
 - Documentation improvements (Gian)
* mateprint
 - New mateprint and mateprint.ui docs (Gian)
* cajaburn
 - Make it compile with caja-cd-burner 2.11.3 (Tiago Cogumbreiro)
 - Add constructor and new methods (get_media_type_full, door_is_open,
   eject, unmount) to cajaburn.Drive (Tiago)


Overview of Changes from mate-python-extras 2.11.0 to mate-python-extras 2.11.2
=================================================================================
* gda
 - Export all symbols in the module (Murray Cumming)
 - Fix compilation with gcc 3.4 and from C++ (Murray)
 - Return a float for a GdaNumeric, instead of a long (Murray)
* gtkspell
 - New reference documentation (Gian Mario Tagliaretti)
 - Better error checking, minor fixes (Gustavo Carneiro)
 - Accept optional language paramter in attach() (Gustavo)
 - New and improved example (Gian)
* mateapplet
 - Wrap mate_panel_applet_request_focus() (Gustavo)
* gtksourceview
 - New reference documentation (Gian)
 - Add objects SourceTag, SyntaxTag, and PatternTag (Gian)
* gtkmozembed
 - New reference documentation (Gian)
* wnck
 - Resolve undefined symbol by removing wrapper for removed function (Gustavo)
* cajaburn
 - Update to new libcaja-burn 2.11 API (Gustavo)


Overview of Changes from mate-python-extras 2.10.0 to mate-python-extras 2.11.0
=================================================================================
* applet
 - Unblock threads around mateapplet.matecomponent_factory() (Gustavo)
* gda
 - gda module imported from pygda 0.3 (Murray Cumming)
 - Added a get_config_key() function (Filip Van Raemdonck)
 - Automatically call gda_init() with argc/argv from python sys.argv (Murray)
 - Wrap FieldAttributes boxed type (Murray)
 - Many more GDA API improvements.. (Murray)
* gtkspell
 - Fix compilation error with gcc-4.0 (Gustavo, Sebastien Bacher)
 - Fix segfault on import on amd64 (Gustavo)


Overview of Changes from mate-python-extras 2.9.4 to mate-python-extras 2.10.0
================================================================================
* Update to libwnck 2.9.92 API (Sebastien Bacher)


Overview of Changes from mate-python-extras 2.9.3 to mate-python-extras 2.9.4
===============================================================================
* Add missing CajaBurnMediaType in module cajaburn (Tiago Cogumbreiro)
* Update a mateprint example with pango stuff (Gustavo, John C Barstow)
* egg.recent updated to latest libegg (Gustavo)


Overview of Changes from mate-python-extras 2.9.2 to mate-python-extras 2.9.3
===============================================================================
* New module totem.plparser, wrapping the new totem playlist parsing
library (Tiago Cogumbreiro)
* New module gdl, wrapping Mate Devtool Libraries (John Palmieri)
* New module gtop, wrapping libgtop (Benoît Dejean)
* gtksourceview
 - Allow changing syntax highlighting styles (Stéphan Kochen)
 - Add SourceView.[gs]set_highlight_current_line (Stéphan Kochen)
* New module cajaburn, wrapping libcajaburn (Tiago Cogumbreiro)
* egg.recent
 - Update to CVS libegg (Gustavo)


Overview of Changes from mate-python-extras 2.9.1 to mate-python-extras 2.9.2
===============================================================================
* egg.recent GUI stuff (matecomponentui and pure gtk flavours) now actually
works and there are examples to prove it (Gustavo)
* New module gtkspell, from pygtkspell (0.3.1) sources (John (J5) Palmieri)
* Add pymozembed (0.1) module as gtkmozembed (Johan Dahlin)
* Fix deprecated import of mate.canvas from mateprint.ui (Gustavo)


Overview of Changes from mate-python-extras 2.9.0 to mate-python-extras 2.9.1
===============================================================================
* Fix build of gtksourceview when builddir is inside subdir (Gustavo)
* New module wnck, wrapping libwnck (Johan Dahlin)
* New module egg.recent (Gustavo)


mate-python-extras 2.9.0
==========================
* Now targetting mate 2.10 platform (though currently compiles with 2.8)
* Module layout:
 - mateapplet imported from mate-python
 - mateprint* imported from mate-python
 - gtkhtml2 imported from mate-python
 - gtksourceview imported from external pygtksourceview package
 - egg.trayicon imported from l-wrap[1] with minor modifications

[1] ftp://www6.software.ibm.com/software/developer/library/l-wrap/l-wrap.zip
